Bug 1010572 - systemd: Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
systemd: Failed to open private bus connection: Failed to connect to socket /...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
: 1010533 1034040 (view as bug list)
Depends On:
Blocks: 1174062
  Show dependency treegraph
 
Reported: 2013-09-21 12:18 EDT by Harald Reindl
Modified: 2016-04-11 03:13 EDT (History)
49 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1174062 (view as bug list)
Environment:
Last Closed: 2015-06-29 08:25:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg oiutput (57.89 KB, text/plain)
2014-01-30 04:31 EST, Peter H. Jones
no flags Details
varlogmessages from the affected machine (91.65 KB, text/plain)
2015-06-30 05:31 EDT, IBM Bug Proxy
no flags Details
This is only for test, please ignore (1.36 KB, text/plain)
2015-06-30 05:31 EDT, IBM Bug Proxy
no flags Details

  None (edit)
Description Harald Reindl 2013-09-21 12:18:07 EDT
Sep 21 18:15:17 rawhide systemd[418]: Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory

systemd-207-4.fc20.x86_64

maybe this is the reason that shutdown/reboot waits very long before the shutdown happens and since there are not much services enabled in the test-vm there is no reason to wait for anything
[root@rawhide ~]# systemctl list-unit-files  | grep enabled
arp-ethers.service                         enabled 
crond.service                              enabled 
getty@.service                             enabled 
ntpd.service                               enabled 
rsyslog.service                            enabled 
sshd.service                               enabled 
vmtoolsd.service                           enabled 
default.target                             enabled 
multi-user.target                          enabled

who enabled "arp-ethers.service" damned......
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-10-05 15:19:14 EDT
*** Bug 1010533 has been marked as a duplicate of this bug. ***
Comment 2 Orion Poplawski 2013-10-09 18:30:34 EDT
Seeing with every user login:

Oct  9 16:17:34 orca systemd: Started Session 1 of user root.
Oct  9 16:17:34 orca systemd: Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory

Oct  9 16:23:21 orca systemd: Started Session 3 of user orion.
Oct  9 16:23:21 orca systemd: Failed to open private bus connection: Failed to connect to socket /run/user/1744/dbus/user_bus_socket: No such file or directory

There is no dbus directory in /run/user/#.
Comment 3 Orion Poplawski 2013-10-10 11:34:09 EDT
I'm unable to login via sddm to the KDE desktop.  Could this be the cause?
Comment 4 Daniel Urben 2013-11-05 08:51:01 EST
I have this, too. What does it exactly tell us?

I am not running any Systemd User session. So is there any way to tell systemd not trying to open a private dbus connection? 

This is the exact error output:

Nov 05 10:42:30 thinkpad systemd[595]: Failed to open private bus connection: Failed to connect to socket /run/user/1000/dbus/user_bus_socket: No such file or directory

I am on Arch Linux x86_64. Installed packages:

linux 3.11.6-1
systemd 208-2
dbus 1.6.16-1
Comment 5 Harald Reindl 2013-12-29 08:30:23 EST
any news here?

this affects F20/F21 and RHEL7 and obviously nobody needs this socket, otherwise things would fail - so why not remove this whole **** from the code or at least remove the logging?

Dec 29 14:09:01 testserver systemd[988]: Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
Dec 29 14:10:01 testserver systemd[1038]: Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
Comment 6 Jan Pokorný 2014-01-03 08:35:12 EST
Can observe this too with F20.

systemd-208-9.fc20.x86_64
dbus-1.6.12-8.fc20.x86_64
Comment 7 Gwendal 2014-01-10 10:03:40 EST
I observe this with F20 as well.

systemd.x86_64              208-9.fc20
dbus.x86_64                 1:1.6.12-8.fc20
Comment 8 Dan Scott 2014-01-13 19:54:14 EST
I just hit this too; disabled rhgb and quiet in the boot line just to find out this much. Is there a known workaround? getting back to a gdm session would be nice.
Comment 9 Dan Scott 2014-01-13 19:57:16 EST
systemd.x86_64 208-9.fc20
dbus.x86_64 1:1.6.12-8.fc20
kernel.x86_64 3.12.6-300.fc20
Comment 10 Harald Reindl 2014-01-13 20:08:39 EST
well, that also affects machines with no GUI packages installed at all

why are these bus connections done at all since they are obviously completly useless, otherwise there would be more impact than spamming logs, so this overhead should be removed at all

hence, not so long ago headless servers (httpd, smb, netatalk, ssh, ftpd, DNS, DHCP...) worked fine with "chkconfig messagebus off" and these days all is bound to dbus for whatever reason
Comment 11 Peter H. Jones 2014-01-17 17:26:34 EST
I am seeing this booting
Fedora-Live-Jam-KDE-x86_64-rawhide-20140116.iso:

"[   20.278940] systemd-cgroups-agent[657]: Failed to get D-Bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
[   26.069907] systemd-cgroups (658) used greatest stack depth: 3528 bytes left"
Comment 12 Peter Lemenkov 2014-01-19 14:38:38 EST
I've just been hit by this. Switching SELinux to Permissive from Enforcing resolved that, but I'd like to return to Enforcing back.
Comment 13 Harald Reindl 2014-01-19 14:44:41 EST
frankly you see them all the time even when you boot with "selinux=0" as kernel-param which is as disabled as possible and disabled in teh configuration too

[root@testserver:~]$ cat /etc/selinux/config  | grep SELINUX
# SELINUX= can take one of these three values:
SELINUX=disabled
# SELINUXTYPE= can take one of these two values:
SELINUXTYPE=targeted
Comment 14 Peter H. Jones 2014-01-30 04:31:08 EST
Created attachment 857408 [details]
dmesg oiutput

Seeing this around line 749 of dmesg output of booting kernel-3.14.0-0.rc0.git13.1.fc21.x86_64 in Fedora-Live-Jam-KDE-x86_64-rawhide-20140129.iso, using basic graphics removing rhgb, quiet and threadirqs.
Comment 15 Harald Reindl 2014-01-30 04:42:42 EST
you see that every day on any F20 machine for any user logged  in or started a cronjob

30.01.2014
2014-01-30 10:35:50 	Failed to open private bus connection: Failed to connect to socket /run/user/500/dbus/user_bus_socket: No such file or directory
2014-01-30 09:00:02 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-30 09:00:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-30 09:00:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-30 08:59:22 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-30 08:59:22 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
29.01.2014
2014-01-29 21:45:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-29 21:45:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-29 21:41:48 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-29 21:41:24 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-29 21:41:24 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
2014-01-29 21:35:48 	Failed to open private bus connection: Failed to connect to socket /run/user/500/dbus/user_bus_socket: No such file or directory
2014-01-29 21:35:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-29 21:32:41 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-29 21:32:32 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-29 21:32:32 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
2014-01-29 10:11:46 	Failed to open private bus connection: Failed to connect to socket /run/user/500/dbus/user_bus_socket: No such file or directory
2014-01-29 09:15:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-29 09:15:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-29 09:14:05 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-29 09:13:57 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-29 09:13:57 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
28.01.2014
2014-01-28 11:40:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-28 11:40:01 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-28 11:40:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-28 11:38:30 	Failed to open private bus connection: Failed to connect to socket /run/user/500/dbus/user_bus_socket: No such file or directory
2014-01-28 11:35:15 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-28 11:35:15 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
2014-01-28 10:20:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-28 10:15:01 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-28 10:15:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-28 10:12:23 	Failed to open private bus connection: Failed to connect to socket /run/user/500/dbus/user_bus_socket: No such file or directory
2014-01-28 10:12:22 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-28 10:12:22 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
27.01.2014
2014-01-27 10:20:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-27 10:15:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-27 10:15:01 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-27 10:10:35 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-27 10:10:35 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
26.01.2014
2014-01-26 17:40:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-26 17:40:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-26 17:35:18 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-26 17:35:15 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-26 17:35:15 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
25.01.2014
2014-01-25 14:40:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-25 14:40:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-25 14:38:21 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-25 14:37:52 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-25 14:37:52 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
2014-01-25 14:30:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-25 14:30:01 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-25 14:25:07 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-25 14:25:07 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
23.01.2014
2014-01-23 17:40:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-23 17:35:44 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-23 17:35:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-23 17:33:44 	Failed to open private bus connection: Failed to connect to socket /run/user/500/dbus/user_bus_socket: No such file or directory
2014-01-23 17:30:39 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-23 17:30:39 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
2014-01-23 10:20:01 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-23 10:20:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-23 10:20:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-23 10:17:23 	Failed to open private bus connection: Failed to connect to socket /run/user/500/dbus/user_bus_socket: No such file or directory
2014-01-23 10:17:10 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-23 10:17:10 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
22.01.2014
2014-01-22 10:17:29 	Failed to open private bus connection: Failed to connect to socket /run/user/500/dbus/user_bus_socket: No such file or directory
2014-01-22 09:10:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-22 09:02:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-22 09:01:38 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-22 09:01:38 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-22 09:01:38 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
21.01.2014
2014-01-21 11:50:01 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-21 11:50:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-21 11:50:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-21 11:45:20 	Failed to open private bus connection: Failed to connect to socket /run/user/500/dbus/user_bus_socket: No such file or directory
2014-01-21 11:45:17 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-21 11:45:17 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
2014-01-21 10:10:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-21 10:10:01 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-21 10:05:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-21 10:02:46 	Failed to open private bus connection: Failed to connect to socket /run/user/500/dbus/user_bus_socket: No such file or directory
2014-01-21 10:02:45 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-21 10:02:45 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
2014-01-21 00:20:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-21 00:15:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-21 00:13:27 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-21 00:13:12 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-21 00:13:12 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
20.01.2014
2014-01-20 10:10:01 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-20 10:10:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-20 10:05:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-20 10:04:46 	Failed to open private bus connection: Failed to connect to socket /run/user/500/dbus/user_bus_socket: No such file or directory
2014-01-20 10:04:35 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-20 10:04:35 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
2014-01-20 02:00:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-20 02:00:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-20 01:58:49 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-20 01:56:09 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-20 01:56:09 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
19.01.2014
2014-01-19 16:45:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-19 16:44:49 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-19 16:43:11 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-19 16:43:11 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
2014-01-19 16:20:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-19 16:15:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-19 16:14:26 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-19 16:12:31 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-19 16:12:31 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
18.01.2014
2014-01-18 16:00:01 	Failed to open private bus connection: Failed to connect to socket /run/user/48/dbus/user_bus_socket: No such file or directory
2014-01-18 15:55:03 	Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
2014-01-18 15:55:01 	Failed to open private bus connection: Failed to connect to socket /run/user/4500/dbus/user_bus_socket: No such file or directory
2014-01-18 15:54:49 	Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
2014-01-18 15:54:49 	Failed to get D-bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
Comment 16 AR 2014-01-30 16:08:40 EST
fyi,

I see these same log entries in Opensuse 13.1

reading

	https://wiki.archlinux.org/index.php/Systemd/User
	https://bbs.archlinux.org/viewtopic.php?pid=1351687

changing

addding

	mkdir -p /etc/systemd/system/user@.service.d/
	cat /etc/systemd/system/user@.service.d/environment.conf
		[Service]
		Environment=DISPLAY=:0
		Environment=XDG_RUNTIME_DIR=/run/user/%I
		Environment=SHELL=%s

	cat /etc/systemd/user/dbus.socket
		[Unit]
		Description=D-Bus Message Bus Socket
		Before=sockets.target

		[Socket]
		ListenStream=/run/user/%U/dbus/user_bus_socket

		[Install]
		WantedBy=default.target

	cat /etc/systemd/user/dbus.service
		[Unit]
		Description=D-Bus Message Bus
		Requires=dbus.socket

		[Service]
		ExecStart=/usr/bin/dbus-daemon --session --address=systemd: --nofork --nopidfile --systemd-activation
		ExecReload=/usr/bin/dbus-send --print-reply --session --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig

then exec'ing

	systemctl --global enable dbus.socket


unfortunately, does NOT appear to help.  logs continue:

2014-01-30T13:00:01.077270-08:00 test systemd[3817]: Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
Comment 17 Jesse 2014-02-21 03:40:09 EST
Hi,

I am also running a fresh install of OpenSuSE 13.1, with full updates, and am seeing this same issue in my logs. 

Failed to connect to socket /run/user/1000/dbus/user_bus_socket: No such file or directory

At boot; from the time I unlock the LVM to getting to the login screen is approximately 45 seconds to 1 minute and so. 

My system is a custom build AMD FX8150, 16GB RAM, AMD HD6670 graphics, Kingston HyperX SSD and the 3.11.10-7-desktop kernel.

There is definitely something strange going on with dbus. So far I have no idea what, I just want to keep track of this bug and help track the issue down if possible. 

Just for info: While I am new on this particular bugzilla, I have been quite active with the Fedora one in the past, more on the end of getting SELinux problems detected and testing resolutions, than anything else. 

Warm regards,
Jesse
Comment 18 fdinoto 2014-03-14 18:12:24 EDT
I'm having problems using x11 forwarding through SSH (Cygwin) to my Fedora 20 test box. Could this be related? (I'm not having this problem connecting to RHEL or AIX)

$ gnome-terminal 
** (gnome-terminal:1618): WARNING **: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Error calling StartServiceByName for org.gnome.Terminal: Timeout was reached

# cat /var/log/messages
systemd: Failed to open private bus connection: Failed to connect to socket /run/user/2007/dbus/user_bus_socket: No such file or directory

# systemctl status dbus-org.freedesktop.ModemManager1.service
dbus-org.freedesktop.ModemManager1.service
   Loaded: not-found (Reason: No such file or directory)
   Active: inactive (dead)
Comment 19 Michael Monreal 2014-04-01 15:06:04 EDT
I get these messages as well:

Apr 01 19:16:14 pandora systemd-cgroups-agent[461]: Failed to get D-Bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
Apr 01 19:16:14 pandora systemd[1]: Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory

Funny enough, the "files" do exist:

$sudo ls -l /run/systemd/private
srwxrwxrwx 1 root root 0 Apr  1 19:16 /run/systemd/private

$cat /run/systemd/private
cat: /run/systemd/private: No such device or address

$ sudo ls -l /var/run/dbus/system_bus_socket 
srw-rw-rw- 1 root root 0 Apr  1 19:16 /var/run/dbus/system_bus_socket

$ sudo cat /var/run/dbus/system_bus_socket
cat: /var/run/dbus/system_bus_socket: No such device or address
Comment 20 Raphael Groner 2014-05-31 05:12:39 EDT
It seems like DBUS team is addressing this issue.

https://bugs.freedesktop.org/show_bug.cgi?id=61301
https://bugs.freedesktop.org/show_bug.cgi?id=61303
Comment 21 Harald Reindl 2014-06-08 05:16:31 EDT
that's no reason not to remove this idiotic warning from systemd until it can be expected it get no longer triggered - honestlyi do not care who is responsible, i care about systemd telling me all day long the same and clutter my logs on dozens of machiens instead just shut up
Comment 22 Lennart Poettering 2014-06-19 20:12:18 EDT
*** Bug 1034040 has been marked as a duplicate of this bug. ***
Comment 23 blachniom 2014-07-30 03:41:47 EDT
Still have it under F20. 
With LXDE, after logging in, when these errors appear in the log, I seen not to have a user session, e.g. there's no desktop content or panel loaded, just the wallpaper.
I need "service dbus restart" to restart the session and if lucky, usually login with the expected panel and desktop available.
It's more like an annoyance as it happens intermittently.
Regards
Comment 24 Harald Reindl 2014-08-15 09:12:31 EDT
after upgrading production to Fedora 20 that starts to get *really* annoying because grep centralized all logs in the infrastructure for 'failed' makes a lot of noise

and another rsyslog rule to filter that out....
Comment 25 Harald Reindl 2014-08-16 07:15:54 EDT
honestly i am not interested what is discussed where and how long

i expect from a serious programmer that he reads his systemlogs and realizes whatever he cooked won't work and so have a few options:

* remove the warning and write it to a TODO
* revert whatever code introduced it 
* fix the code introduced it
* if it can't be fixed throw it away

i expect from a developer to do something similar like below and *never* hit the endusers with errors and warnings where they can't do anything

[root@srv-rhsoft:~]$ cat /scripts/system-errors.sh
#!/usr/bin/bash
dmesg | grep -i warn
dmesg | grep -i fail
dmesg | grep -i error
cat /var/log/messages | grep -i warn
cat /var/log/messages | grep -i fail
cat /var/log/messages | grep -i error
Comment 26 blachniom 2014-10-05 13:18:47 EDT
Still under F20.

Oddly enough. Instead of issuing:

"service dbus restart"

this time I issued:

"service dbus stop"

and everything just started working. Even stranger thing is when I then issued:

"systemctl status dbus.service"

the service appeared as "active (running)".

This led me to believe something is blocking the dbus service from starting properly. The next time the "stuck at wallpaper" problem emerged, I issued:

"systemctl status dbus.service"

again before trying to stop/restart dbus.

Among a few lines stating the dbus service was started successfully (which of course was gibberish), was a line that said sth like:

"org.bluez service timed out"

Suffice to say I don't use bluetooth and happily got rid of the org.bluez service at once. Now there's just one more thing to do. Try to login enough times to confirm it had anything to do with my symptoms.

Can any one of you please try the same procedure when the issue emerges? I'm curious.

Cheers
Smirk
Comment 27 blachniom 2014-10-05 13:24:28 EDT
Yeah. Not much good that did...
Three reboots later the problem came back.

Moving on...
Comment 28 Franck C. 2014-11-05 15:25:55 EST
same problem here:
Failed to open private bus connection: Failed to connect to socket /run/user/99/dbus/user_bus_socket: No such file or directory
Comment 29 blachniom 2014-12-21 16:11:48 EST
Alright. I'm still seeing the error message in the logs: "Failed to open private bus connection...".
But the problem I had being unable to login to graphical environment is now gone. I switched from LXDM to XDM.
What I think it means - basically my problem was unrelated to the original problem here reported.
Comment 30 Fedora End Of Life 2015-05-29 05:25:59 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 31 Fedora End Of Life 2015-06-29 08:25:20 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 32 IBM Bug Proxy 2015-06-30 05:31:21 EDT
Created attachment 1044631 [details]
varlogmessages from the affected machine
Comment 33 IBM Bug Proxy 2015-06-30 05:31:24 EDT
Created attachment 1044632 [details]
This is only for test, please ignore
Comment 34 Linus Ping 2016-04-11 03:13:20 EDT
Actually, i still encountered that kind of error in CentOS 7 as below.


Apr 11 00:08:37 localhost systemd-cgroups-agent: Failed to get D-Bus connection: Failed to connect to socket /run/systemd/private: No such file or directory

Apr 11 00:08:37 localhost systemd: Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory

Note You need to log in before you can comment on or make changes to this bug.